//
// C++ Interface:
//
// Description:
//
//
// Author: Christian Hubinger <chubinger@gmail.com>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
// License: GPL
//

#ifndef KMFDOCUMENTINFO_H
#define KMFDOCUMENTINFO_H

#include "kmyfirewalldocumentinfo.h"

// QT includes

// KDE includes
#include <kdemacros.h>

// project includes

class KMFDoc;

class KDE_EXPORT KMFDocumentInfo : public KMyFirewallDocumentInfo {
	Q_OBJECT

public:
	KMFDocumentInfo(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~KMFDocumentInfo();
	/*$PUBLIC_FUNCTIONS$*/

	void loadDoc( KMFDoc* );
	
public slots:
	/*$PUBLIC_SLOTS$*/

protected:
	/*$PROTECTED_FUNCTIONS$*/

protected slots:
	/*$PROTECTED_SLOTS$*/
	virtual void accept();
	void slotSaveAsTemplate();
	void slotHelp();
	
private: // data
	KMFDoc *m_doc;

signals:
   void sigSaveAsTemplate();

};

#endif

